package com.danitheskunk.skunkworks;

public final class Vec2i {
	final int x, y;

	//constructors

	public Vec2i(int x, int y) {
		this.x = x;
		this.y = y;
	}

	//getters and setters

	public int getX() {
		return x;
	}

	public int getY() {
		return y;
	}

	//static functions

	public static Vec2i add(Vec2i a, Vec2i b) {
		return new Vec2i(a.x + b.x, a.y + b.y);
	}

	public static Vec2i sub(Vec2i a, Vec2i b) {
		return new Vec2i(a.x - b.x, a.y - b.y);
	}

	public static Vec2i mul(Vec2i a, int b) {
		return new Vec2i(a.x * b, a.y * b);
	}

	public static Vec2i div(Vec2i a, int b) {
		return new Vec2i(a.x / b, a.y / b);
	}
}
